body {
    /* background: url(../images/back6.png);
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    min-height: 900px;
    min-width: 1200px;
    height: 100%;
    background-attachment: fixed;
    position: absolute; */
    background: #EDF7FF;
    width: 100%;
    height: 100vh;
    box-sizing: border-box;
    padding: 20px 0;
}
#main {
    /* min-height: 750px; */
    height: calc(100%);
    box-sizing: border-box;
}
.robot {
    /* background: #fff; */
    /* border-radius: 8px 24px 24px 8px; */
    /* max-width: 1300px; */
    margin: auto;
    /* height: 100%; */
    display: flex;
    /* overflow: hidden; */
}
#left {
    width: 320px;
}
#right {
    width: calc(100% - 300px);
}
#helpDialog {
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.4);
    position: absolute;
    top: 0;
    left: 0;
    display: none;
}
#helpDialog .helpCont {
    background: #fff;
    width: 660px;
    height: 500px;
    border-radius: 10px;
    margin: auto;
    overflow: hidden;
    margin-top: 100px;
}
.swiper-content {
    width:100%;
    height: 100%;
    background: #fff;
    position: relative;
    overflow: hidden;
  }
  .mySwiper {
    height: 100%;
  }
  .swiper-wrapper {
    height: 100%;
  }
  .swiper-slide {
    height: 100%;
    box-sizing: border-box;
    padding: 0 10px;
  }
  .swiper-header {
    width: 60%;
    height: 60px;
    line-height: 60px;
    background: url('./img/help-head-bg.png');
    background-size: 100% 100%;
    margin: 30px auto;
    font-weight: 400;
    font-size: 22px;
    color: white;
    text-align: center;
  }
  .swiper-img {
    width: 620px;
    height: 224px;
    object-fit: contain;
    margin: 0 auto;
    display: block;
  }
  .swiper-bottom {
    height: 10.94rem;
    background: #eaf5fd;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
  }
  .swiper-bottom div:nth-of-type(1) {
    font-weight: 400;
    font-size: 18px;
    text-align: center;
    color: #333;
    margin-top: 1.88rem;
  }
  .swiper-bottom div:nth-of-type(2) {
    font-weight: 700;
    font-size: 24px;
    text-align: center;
    color: #333;
    margin-top: 0.63rem;
  }
  .swiper-pagination-bullet-active {
    background: #457ac6;
  }
#userDialog {
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.4);
    position: absolute;
    top: 0;
    left: 0;
    display: none;
}
#userDialog .userCont {
    background: #fff;
    width: 50%;
    height: 60%;
    border-radius: 10px;
    margin: auto;
    margin-top: 100px;
    padding: 20px;
}
.userDialog-title {
    font-size: 24px;
    color: #333333;
    text-align: center;
    position: relative;
    padding: 10px 0 20px 0;
}
.userDialog-title .userDialog-close {
    width: 24px;
    height: 24px;
    position: absolute;
    right: 10px;
    cursor: pointer;
}
.userDialog-text {
    height:calc(100% - 160px);
    border: 1px solid #E5E5E5;
    overflow-y: auto;
    padding: 16px 24px;
    font-size: 16px;
    color: #333333;
    line-height: 32px;
    text-indent: 2em;
}
.userDialog-text::-webkit-scrollbar {
    width: 5px;
}
.userDialog-text::-webkit-scrollbar-thumb {
    background-color: #d7d4d4;
    border-radius: 5px;
  }
  
  .userDialog-text::-webkit-scrollbar-track {
    background-color: #f1f1f1;
    border-radius: 5px;
  }
.userDialog-btn {
    height: 50px;
    display: flex;
    align-items: center;
    position: relative;
    margin-top: 20px;
}
.userDialog-btn .checkMsg {
    font-size: 16px;
    color: #999999;
    margin-left: 10px;
}
.userDialog-btn .agreeBtn {
    width: 120px;
    height: 50px;
    line-height: 50px;
    text-align: center;
    background: #457AC6;
    border-radius: 8px;
    color: #fff;
    font-size: 16px;
    position: absolute;
    right: 0;
    cursor: pointer;
    display: none;
}
.userDialog-btn .disagreeBtn {
    width: 120px;
    height: 50px;
    line-height: 50px;
    text-align: center;
    background: #eee;
    border-radius: 8px;
    color: #999;
    font-size: 16px;
    position: absolute;
    right: 0;
    cursor: pointer;
}
#mzsmDialog {
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.4);
    position: absolute;
    top: 0;
    left: 0;
    display: none;
}
#mzsmDialog .mzsmCont {
    background: #fff;
    width: 50%;
    height: 40%;
    border-radius: 10px;
    margin: auto;
    margin-top: 100px;
    padding: 20px;
}
.mzsmDialog-title {
    font-size: 24px;
    color: #333333;
    text-align: center;
    position: relative;
    padding: 10px 0 20px 0;
}
.mzsmDialog-title .mzsmDialog-close {
    width: 24px;
    height: 24px;
    position: absolute;
    right: 10px;
    cursor: pointer;
}
.mzsmDialog-text {
    height:calc(100% - 95px);
    border: 1px solid #E5E5E5;
    overflow-y: auto;
    padding: 16px 24px;
    font-size: 16px;
    color: #333333;
    line-height: 32px;
}
.mzsmDialog-text::-webkit-scrollbar {
    width: 5px;
}
.mzsmDialog-text::-webkit-scrollbar-thumb {
    background-color: #d7d4d4;
    border-radius: 5px;
  }
  
  .mzsmDialog-text::-webkit-scrollbar-track {
    background-color: #f1f1f1;
    border-radius: 5px;
  }
#feedDialog {
    width: 500px;
    max-height: 315px;
    overflow-y: auto;
    background: #FFFFFF;
    box-shadow: 0 0 16px 0 #0000001a;
    border-radius: 4px;
    display: none;
    position: absolute;
    top: 40%;
    left: 45%;
    padding: 16px 20px;
}
#feedDialog .feed-title {
    font-size: 16px;
    color: #333333;
    margin-bottom: 16px;
}
#feedDialog .feed-flex {
    display: flex;
    flex-wrap: wrap;
}
#feedDialog .feedBtn {
    background: #F6FBFF;
    border-radius: 4px;
    height: 36px;
    line-height: 36px;
    font-size: 16px;
    color: #457AC6;
    text-align: center;
    padding: 0 16px;
    cursor: pointer;
    margin-right: 10px;
}
.feedBtn-active {
    background: #457AC6 !important;
    color: #fff !important;
}
#feedOtherInput {
    border: none;
    resize: none;
    background: #F6FBFF;
    height: 120px !important;
    box-sizing: border-box;
    width: 100%;
    padding: 10px;
    margin-top: 16px;
    display: none;
    font-size: 16px;
}
#feedOtherInput::placeholder {
    color: #999;
  }
#feedDialog .feed-bottom {
    border-top: 1px solid #eee;
    padding-top: 16px;
    display: flex;
    justify-content: flex-end;
    margin-top: 16px;
}
.feedCancel {
    background: #fff;
    border-radius: 4px;
    height: 36px;
    line-height: 36px;
    font-size: 16px;
    color: #333;
    text-align: center;
    padding: 0 16px;
    cursor: pointer;
    margin-right: 10px;
    border: 1px solid #E5E5E5;
}
.feedQuit {
    background: #457AC6 !important;
    color: #fff !important;
    border-radius: 4px;
    height: 36px;
    line-height: 36px;
    font-size: 16px;
    text-align: center;
    padding: 0 16px;
    cursor: pointer;
}
#messageBox {
    position:fixed;
    top:150px;
    left:50%;
    transform:translate(-50%, -50%);
    background-color:#fff;
    padding:10px;
    max-width:90%;
    box-shadow: 0 0 16px 0 #0000001a;
    border-radius: 4px;
    z-index:1000;
    display: none;
    font-size: 16px;
    text-align: center;
}
#customerDialog {
    width: 500px;
    max-height: 315px;
    overflow-y: auto;
    background: #FFFFFF;
    box-shadow: 0 0 16px 0 #0000001a;
    border-radius: 4px;
    display: none;
    position: absolute;
    top: 40%;
    left: 45%;
    padding: 16px 20px;
}
#customerDialog .char-count {
    position: absolute;
    bottom: 92px;  /* 调整计数器位置 */
    right: 28px;
    font-size: 14px; /* 调整字体大小 */
    color: #999; /* 调整颜色 */
}
#customerDialog .customer-title {
    font-size: 16px;
    color: #333333;
    margin-bottom: 16px;
}
#customerDialog .customer-flex {
    display: flex;
    flex-direction: row; /* 水平排列 */
    gap: 10px;
    font-size: 16px;
}
#customerInput {
    border: none;
    resize: none;
    background: #F6FBFF;
    height: 120px !important;
    box-sizing: border-box;
    width: 100%;
    padding: 10px;
    margin-top: 16px;
    font-size: 16px;
}
#customerInput::placeholder {
    color: #999;
}
#customerDialog .customer-bottom {
    border-top: 1px solid #eee;
    padding-top: 16px;
    display: flex;
    justify-content: flex-end;
    margin-top: 16px;
}
.customerCancel {
    background: #fff;
    border-radius: 4px;
    height: 36px;
    line-height: 36px;
    font-size: 16px;
    color: #333;
    text-align: center;
    padding: 0 16px;
    cursor: pointer;
    margin-right: 10px;
    border: 1px solid #E5E5E5;
}
.customerQuit {
    background: #457AC6 !important;
    color: #fff !important;
    border-radius: 4px;
    height: 36px;
    line-height: 36px;
    font-size: 16px;
    text-align: center;
    padding: 0 16px;
    cursor: pointer;
}
input[type="radio"]:checked + span {
    color: #457AC6; /* 选中时的字体颜色 */
}
input[type="radio"] {
    cursor: pointer;
}
label {
    cursor: pointer;
}
#audioPlayer {
    display: none;
}
.region {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}
.region img {
    width: 13px !important;
    height: 16px !important;
}
#regionDialog {
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.4);
    position: absolute;
    top: 0;
    left: 0;
    display: none;
}
#regionDialog .regionCont {
    background: #fff;
    width: 50%;
    border-radius: 10px;
    margin: 20% auto;
    padding: 20px 0;
}
.regionDialog-title {
    font-size: 18px;
    font-weight: 600;
    color: #333333;
    position: relative;
    border-bottom: 1px solid #eee;
    padding: 0 20px 20px 20px;
}
.regionDialog-title .regionDialog-close {
    width: 24px;
    height: 24px;
    position: absolute;
    right: 10px;
    cursor: pointer;
}
.regionDialog-place {
    padding: 20px;
}
.regionDialog-place .place-select img {
    width: 14px;
    height: 20px;
    margin-right: 10px;
}
.place-select {
    font-weight: 600;
    font-size: 16px;
    color: #333333;
    border-bottom: 1px solid #eee;
    padding-bottom: 20px;
    display: flex;
    align-items: center;
}
.regionSelectLi {
    cursor: pointer;
}
.place-btnLi {
    padding: 20px 0;
    overflow-y: auto;
    display: flex;
    flex-wrap: wrap;
    max-height: 200px;
}
.place-btnLi::-webkit-scrollbar {
    width: 5px;
}
.place-btnLi::-webkit-scrollbar-thumb {
    background-color: #d7d4d4;
    border-radius: 5px;
  }
  
  .place-btnLi::-webkit-scrollbar-track {
    background-color: #f1f1f1;
    border-radius: 5px;
  }
.place-btnLi .place-btn {
    padding: 0 20px;
    height: 36px;
    line-height: 36px;
    background: #F5F5F5;
    border-radius: 18px;
    font-size: 16px;
    color: #333333;
    cursor: pointer;
    margin: 0 10px 10px 0;
}
.place-btn:hover {
    background: #F6FBFF;
    color: #457AC6;
}
.regionDialog-btn {
    display: flex;
    justify-content: flex-end;
    padding-right: 20px;
}
.regionDialogCancel {
    background: #fff;
    border-radius: 4px;
    height: 36px;
    line-height: 36px;
    font-size: 16px;
    color: #333;
    text-align: center;
    padding: 0 16px;
    cursor: pointer;
    margin-right: 10px;
    border: 1px solid #E5E5E5;
}
.regionDialogQuit {
    background: #457AC6 !important;
    color: #fff !important;
    border-radius: 4px;
    height: 36px;
    line-height: 36px;
    font-size: 16px;
    text-align: center;
    padding: 0 16px;
    cursor: pointer;
}
#quitDialog {
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.1);
    position: absolute;
    top: 0;
    left: 0;
    display: none;
}
#quitDialog .quitCont {
    background: #fff;
    width: 433px;
    border-radius: 4px;
    margin: 20% auto;
    padding: 20px;
    box-shadow: 0 4px 12px 0 #00000033;
}
#quitDialog .quitCont .quit-title {
    font-weight: 500;
    font-size: 16px;
    color: #000000d9;
}
#quitDialog .quitCont .quit-title img {
    width: 22px;
    height: 22px;
    margin-right: 12px;
}
#quitDialog .quitCont .quit-msg {
    font-weight: 400;
    font-size: 14px;
    color: #000000a6;
    padding: 12px 0 12px 35px;
}
#quitDialog .quitCont .quit-btn {
    display: flex;
    justify-content: flex-end;
}
#quitDialog .quitCont .quit-btn .quitCancel {
    background: #FFFFFF;
    border: 1px solid #D9D9D9;
    border-radius: 4px;
    font-size: 14px;
    color: #000000a6;
    padding: 5px 16px;
    text-align: center;
    margin-right: 10px;
    cursor: pointer;
}
#quitDialog .quitCont .quit-btn .quitOk {
    background: #1890FF;
    border-radius: 4px;
    padding: 5px 16px;
    text-align: center;
    font-size: 14px;
    color: #FFFFFF;
    cursor: pointer;
}
.swiper-button-next {
    top: 335px;
    right: calc(50% - 390px);
}
.swiper-button-prev {
    top: 335px;
    left: calc(50% - 390px);
}
.xwdtLi {
    background: #F4FAFF;
    border-radius: 4px;
    padding: 5px 10px;
    cursor: pointer;
    margin-bottom: 5px;
    font-size: 14px;
    line-height: 22px;
  }
  .xwdtLi-title {
    color: #457AC6;
  }
  .xwdtLi-msg {
    color: #999999;
  }
  .modelSelect {
    width: 120px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    position: relative;
    color: #999;
    border-radius: 5px;
    /* display: none !important; */
  }
  .modelSelect:hover {
    background-color: #c2c2c22c;
  }
  .modelSelect img {
    width: 16px;
    height: 9px;
    margin-left: 10px;
  }
  /* 下拉框样式 */
  .dropdown {
    position: absolute; /* 绝对定位 */
    bottom: 100%; /* 定位在 modelSelect 上方 */
    right: 0;
    width: 165px;
    background-color: #fff;
    display: none; /* 默认隐藏 */
    z-index: 1000; /* 确保悬浮在其他元素之上 */
    border-radius: 4px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, .15);
  }
  
  /* 下拉框选项样式 */
  .dropdown .option {
    padding: 10px;
    cursor: pointer;
  }
  .dropdown .option .optionChild {
    font-size:16px;
    margin-bottom:5px;
    color:#333;
  }
  
  .dropdown div:hover {
    background-color: #edf7ff8e;
  }
  .activedMode {
    background: #edf7ff;
  }
  .dropdown .activedMode .option .optionChild {
    color: #457AC6 !important;
  }
  .stopCreate {
    padding: 15px 0;
    display: none;
  }
  .answerLogo {
    background: #fff;
    text-align: right;
  }
  .answerLogo-msg {
    font-size: 10px;
    color: #999999;
    height: 25px;
    line-height: 25px;
    background-image: linear-gradient(270deg, #F4F7FC 0%, #FFFFFF 100%);
    border-radius: 8px;
    text-align: right;
    padding-right: 24px;
}
.stopBtn {
    height: 100%;
    width: 88px;
    border-radius: 32px;
    background: #25C99D;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    display: none;
  }
  .stopBtn .stopIcon {
    width: 26px;
    height: 26px;
  }
  .place-btnLi .place-btn-disable {
    padding: 0 20px;
    height: 36px;
    line-height: 36px;
    background: #f5f5f58a;
    border-radius: 18px;
    font-size: 16px;
    color: #999;
    cursor: not-allowed;
    margin: 0 10px 10px 0;
}
.robotText .thinking {
  display: inline-block;
  position: relative;
  color: #1890FF;
}
.robotText .thinking .thinking-load {
  width: 0%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: rgba(255, 255, 255, 0.6);
  animation: gradientFlow 1s infinite;
}
@keyframes gradientFlow {
  0% {
    width: 0;
  }
  100% {
    width: 100%;
  }
}
.disable-btn{
    background: #f5f5f5 !important;
    color: #999 !important;
    cursor: not-allowed;
}